#!/usr/bin/python
# CSV2GNUMERIC

import sys
import commands
import gzip
import os


#girthdata = """python /home/attila/desktop/processGirth.py $(ls *.yaml.gz | grep "S\-0.01")"""
#graphdata = """python /home/attila/desktop/processGraphMeasurements.py J-*.log"""
#trafficdata = """python /home/attila/desktop/processAntsTraffic.py J*.log"""

script = open(sys.argv[1],'r')
pot = script.readlines()

outdir = "./"


def process(com):
	global output
	global outfilename
	data = commands.getoutput(com)
	data = data.split("\n")
	output.write( """        <gnm:Cell Row="0" Col="0" ValueType="60">%s</gnm:Cell>""" % outfilename)
	row = 1
	for l in data:
		l = l.split(",")
		ttype = 40
		for col in range(0,len(l)):
			if l[col].strip() == "":
				ttype = 10
			else:
				val = l[col].strip()
				try:
					z = float(val)
					ttype = 40
				except:
					ttype = 60
			output.write( """        <gnm:Cell Row="%d" Col="%d" ValueType="%d">%s</gnm:Cell>""" % (row,col,ttype,l[col].strip().replace("<","&lt;")))
		row += 1

def doFile():
	global graphdata
	global output
	global girthdata
	global trafficdata
	global outfilename
	output.write( u"""<?xml version="1.0" encoding="UTF-8"?>
	<gnm:Workbook xmlns:gnm="http://www.gnumeric.org/v10.dtd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.gnumeric.org/v9.xsd">
	  <gnm:Version Epoch="1" Major="8" Minor="3" Full="1.8.3"/>
	  <gnm:Attributes>
	    <gnm:Attribute>
	      <gnm:type>4</gnm:type>
	      <gnm:name>WorkbookView::show_horizontal_scrollbar</gnm:name>
	      <gnm:value>TRUE</gnm:value>
	    </gnm:Attribute>
	    <gnm:Attribute>
	      <gnm:type>4</gnm:type>
	      <gnm:name>WorkbookView::show_vertical_scrollbar</gnm:name>
	      <gnm:value>TRUE</gnm:value>
	    </gnm:Attribute>
	    <gnm:Attribute>
	      <gnm:type>4</gnm:type>
	      <gnm:name>WorkbookView::show_notebook_tabs</gnm:name>
	      <gnm:value>TRUE</gnm:value>
	    </gnm:Attribute>
	    <gnm:Attribute>
	      <gnm:type>4</gnm:type>
	      <gnm:name>WorkbookView::do_auto_completion</gnm:name>
	      <gnm:value>TRUE</gnm:value>
	    </gnm:Attribute>
	    <gnm:Attribute>
	      <gnm:type>4</gnm:type>
	      <gnm:name>WorkbookView::is_protected</gnm:name>
	      <gnm:value>FALSE</gnm:value>
	    </gnm:Attribute>
	  </gnm:Attributes>
	  <office:document-meta xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:ooo="http://openoffice.org/2004/office" office:version="1.0">
	    <office:meta/>
	  </office:document-meta>
	  <gnm:SheetNameIndex>
	    <gnm:SheetName gnm:Cols="256" gnm:Rows="65536">DiameterAVPLEdges</gnm:SheetName>
	    <gnm:SheetName gnm:Cols="256" gnm:Rows="65536">Girth</gnm:SheetName>
	    <gnm:SheetName gnm:Cols="256" gnm:Rows="65536">Traffic</gnm:SheetName>
	  </gnm:SheetNameIndex>
	  <gnm:Geometry Width="1280" Height="778"/>
	  <gnm:Sheets>
	    <gnm:Sheet DisplayFormulas="0" HideZero="0" HideGrid="0" HideColHeader="0" HideRowHeader="0" DisplayOutlines="1" OutlineSymbolsBelow="1" OutlineSymbolsRight="1" Visibility="GNM_SHEET_VISIBILITY_VISIBLE" GridColor="0:0:0">
	      <gnm:Name>DiameterAVPLEdges</gnm:Name>
	      <gnm:MaxCol>17</gnm:MaxCol>
	      <gnm:MaxRow>44</gnm:MaxRow>
	      <gnm:Zoom>1</gnm:Zoom>
	      <gnm:Names>
		<gnm:Name>
		  <gnm:name>Print_Area</gnm:name>
		  <gnm:value>DiameterAVPLEdges!$A$1:$IV$65536</gnm:value>
		  <gnm:position>A1</gnm:position>
		</gnm:Name>
		<gnm:Name>
		  <gnm:name>Sheet_Title</gnm:name>
		  <gnm:value>&quot;DiameterAVPLEdges&quot;</gnm:value>
		  <gnm:position>A1</gnm:position>
		</gnm:Name>
	      </gnm:Names>
	      <gnm:PrintInformation>
		<gnm:Margins>
		  <gnm:top Points="120" PrefUnit="mm"/>
		  <gnm:bottom Points="120" PrefUnit="mm"/>
		  <gnm:left Points="72" PrefUnit="mm"/>
		  <gnm:right Points="72" PrefUnit="mm"/>
		  <gnm:header Points="72" PrefUnit="mm"/>
		  <gnm:footer Points="72" PrefUnit="mm"/>
		</gnm:Margins>
		<gnm:Scale type="percentage" percentage="100"/>
		<gnm:vcenter value="0"/>
		<gnm:hcenter value="0"/>
		<gnm:grid value="0"/>
		<gnm:even_if_only_styles value="0"/>
		<gnm:monochrome value="0"/>
		<gnm:draft value="0"/>
		<gnm:titles value="0"/>
		<gnm:do_not_print value="0"/>
		<gnm:order>d_then_r</gnm:order>
		<gnm:orientation>portrait</gnm:orientation>
		<gnm:Header Left="" Middle="&amp;[TAB]" Right=""/>
		<gnm:Footer Left="" Middle="Page &amp;[PAGE]" Right=""/>
		<gnm:paper>na_letter</gnm:paper>
	      </gnm:PrintInformation>
	      <gnm:Styles>
		<gnm:StyleRegion startCol="0" startRow="0" endCol="255" endRow="65535">
		  <gnm:Style HAlign="1" VAlign="2" WrapText="0" ShrinkToFit="0" Rotation="0" Shade="0" Indent="0" Locked="1" Hidden="0" Fore="0:0:0" Back="FFFF:FFFF:FFFF" PatternColor="0:0:0" Format="General">
		    <gnm:Font Unit="10" Bold="0" Italic="0" Underline="0" StrikeThrough="0" Script="0">Sans</gnm:Font>
		  </gnm:Style>
		</gnm:StyleRegion>
	      </gnm:Styles>
	      <gnm:Cols DefaultSizePts="48">
		<gnm:ColInfo No="0" Unit="48" Count="9"/>
	      </gnm:Cols>
	      <gnm:Rows DefaultSizePts="12.75">
		<gnm:RowInfo No="0" Unit="13.5" Count="45"/>
	      </gnm:Rows>
	      <gnm:Selections CursorCol="18" CursorRow="15">
		<gnm:Selection startCol="18" startRow="15" endCol="18" endRow="15"/>
	      </gnm:Selections>
	      <gnm:Objects>
		<gnm:SheetObjectGraph ObjectBound="H3:R25" ObjectOffset="0.969 0.0556 0.0625 0.5" Direction="17">
		  <GogObject type="GogGraph">
		    <property name="height-pts">302.999400</property>
		    <property name="width-pts">436.487999</property>
		    <property name="theme-name">Default</property>
		    <property name="padding-pts">7.086614</property>
		    <property name="style" type="GogStyle">
		      <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		      <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		    </property>
		    <property name="anchor">top-left</property>
		    <property name="alignment">fill</property>
		    <GogObject role="Chart">
		      <property name="padding-pts">7.086614</property>
		      <property name="style" type="GogStyle">
		        <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		        <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		          <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		        </fill>
		      </property>
		      <property name="id">1</property>
		      <GogObject role="X-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="0"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Simulation time (seconds)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data>
		          <dimension id="0" type="GnmGODataScalar">5</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Diameter / Average path length (hops)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="pos-str">high</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">2</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Edges&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">3</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">1.8</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.097998711972756919 0.019 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Start Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">4</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">21.6</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.45098532218287057 0.019 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;End Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Plot" type="GogLinePlot">
		        <property name="default-style-has-markers">FALSE</property>
		        <property name="y-axis">1</property>
		        <property name="x-axis">1</property>
		        <property name="vary-style-by-element">FALSE</property>
		        <property name="id">1</property>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="solid" auto-dash="1" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">5</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">DiameterAVPLEdges!$E$2</dimension>
		            <dimension id="0" type="GnmGODataVector">DiameterAVPLEdges!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">DiameterAVPLEdges!$E$3:$E$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">7</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">DiameterAVPLEdges!$G$2</dimension>
		            <dimension id="0" type="GnmGODataVector">DiameterAVPLEdges!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">DiameterAVPLEdges!$G$3:$G$45</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Plot" type="GogLinePlot">
		        <property name="default-style-has-markers">FALSE</property>
		        <property name="y-axis">2</property>
		        <property name="x-axis">1</property>
		        <property name="vary-style-by-element">FALSE</property>
		        <property name="id">2</property>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">DiameterAVPLEdges!$D$2</dimension>
		            <dimension id="0" type="GnmGODataVector">DiameterAVPLEdges!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">DiameterAVPLEdges!$D$3:$D$45</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Legend">
		        <property name="swatch-padding-pts">5.669291</property>
		        <property name="swatch-size-pts">7.086614</property>
		        <property name="padding-pts">7.086614</property>
		        <property name="style" type="GogStyle">
		          <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		            <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		          </fill>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		        </property>
		        <property name="is-position-manual">TRUE</property>
		        <property name="position">0.61250573415610043 0.02320072249827165 0.1574631702246512 0.15197686140943381</property>
		        <property name="id">1</property>
		      </GogObject>
		    </GogObject>
		  </GogObject>
		</gnm:SheetObjectGraph>
		<gnm:SheetObjectGraph ObjectBound="H26:R48" ObjectOffset="0.984 0.444 0.0781 0.588" Direction="17">
		  <GogObject type="GogGraph">
		    <property name="height-pts">297.003000</property>
		    <property name="width-pts">436.516798</property>
		    <property name="theme-name">Default</property>
		    <property name="padding-pts">7.086614</property>
		    <property name="style" type="GogStyle">
		      <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		      <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		    </property>
		    <property name="anchor">top-left</property>
		    <property name="alignment">fill</property>
		    <GogObject role="Chart">
		      <property name="padding-pts">7.086614</property>
		      <property name="style" type="GogStyle">
		        <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		        <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		          <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		        </fill>
		      </property>
		      <property name="id">1</property>
		      <GogObject role="X-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="0"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Simulation time (seconds)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data>
		          <dimension id="0" type="GnmGODataScalar">5</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Diameter / Average path length (hops)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="pos-str">high</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">2</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Edges&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">3</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">21.6</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.47526527608030311 0.019 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Start Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">4</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">32.4</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.65748918600811512 0.019 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;End Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Plot" type="GogLinePlot">
		        <property name="default-style-has-markers">FALSE</property>
		        <property name="y-axis">1</property>
		        <property name="x-axis">1</property>
		        <property name="vary-style-by-element">FALSE</property>
		        <property name="id">1</property>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="solid" auto-dash="1" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">5</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">DiameterAVPLEdges!$E$2</dimension>
		            <dimension id="0" type="GnmGODataVector">DiameterAVPLEdges!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">DiameterAVPLEdges!$E$3:$E$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">7</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">DiameterAVPLEdges!$G$2</dimension>
		            <dimension id="0" type="GnmGODataVector">DiameterAVPLEdges!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">DiameterAVPLEdges!$G$3:$G$45</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Plot" type="GogLinePlot">
		        <property name="default-style-has-markers">FALSE</property>
		        <property name="y-axis">2</property>
		        <property name="x-axis">1</property>
		        <property name="vary-style-by-element">FALSE</property>
		        <property name="id">2</property>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">DiameterAVPLEdges!$D$2</dimension>
		            <dimension id="0" type="GnmGODataVector">DiameterAVPLEdges!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">DiameterAVPLEdges!$D$3:$D$45</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Legend">
		        <property name="swatch-padding-pts">5.669291</property>
		        <property name="swatch-size-pts">7.086614</property>
		        <property name="padding-pts">7.086614</property>
		        <property name="style" type="GogStyle">
		          <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		            <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		          </fill>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		        </property>
		        <property name="is-position-manual">TRUE</property>
		        <property name="position">0.093125889194860215 0.71879674471188393 0.1574631702246512 0.15197686140943381</property>
		        <property name="id">1</property>
		      </GogObject>
		    </GogObject>
		  </GogObject>
		</gnm:SheetObjectGraph>
	      </gnm:Objects>
	      <gnm:Cells>""")

	### GRAPH

	process(graphdata)

	output.write( u"""</gnm:Cells>
	      <gnm:SheetLayout TopLeft="C1"/>
	      <gnm:Solver ProblemType="1" Inputs="" MaxTime="0" MaxIter="0" NonNeg="1" Discr="0" AutoScale="0" ShowIter="0" AnswerR="0" SensitivityR="0" LimitsR="0" PerformR="0" ProgramR="0"/>
	    </gnm:Sheet>
	    <gnm:Sheet DisplayFormulas="0" HideZero="0" HideGrid="0" HideColHeader="0" HideRowHeader="0" DisplayOutlines="1" OutlineSymbolsBelow="1" OutlineSymbolsRight="1" Visibility="GNM_SHEET_VISIBILITY_VISIBLE" GridColor="0:0:0">
	      <gnm:Name>Girth</gnm:Name>
	      <gnm:MaxCol>30</gnm:MaxCol>
	      <gnm:MaxRow>46</gnm:MaxRow>
	      <gnm:Zoom>1</gnm:Zoom>
	      <gnm:Names>
		<gnm:Name>
		  <gnm:name>Print_Area</gnm:name>
		  <gnm:value>Girth!$A$1:$IV$65536</gnm:value>
		  <gnm:position>A1</gnm:position>
		</gnm:Name>
		<gnm:Name>
		  <gnm:name>Sheet_Title</gnm:name>
		  <gnm:value>&quot;Girth&quot;</gnm:value>
		  <gnm:position>A1</gnm:position>
		</gnm:Name>
	      </gnm:Names>
	      <gnm:PrintInformation>
		<gnm:Margins>
		  <gnm:top Points="120" PrefUnit="mm"/>
		  <gnm:bottom Points="120" PrefUnit="mm"/>
		  <gnm:left Points="72" PrefUnit="mm"/>
		  <gnm:right Points="72" PrefUnit="mm"/>
		  <gnm:header Points="72" PrefUnit="mm"/>
		  <gnm:footer Points="72" PrefUnit="mm"/>
		</gnm:Margins>
		<gnm:Scale type="percentage" percentage="100"/>
		<gnm:vcenter value="0"/>
		<gnm:hcenter value="0"/>
		<gnm:grid value="0"/>
		<gnm:even_if_only_styles value="0"/>
		<gnm:monochrome value="0"/>
		<gnm:draft value="0"/>
		<gnm:titles value="0"/>
		<gnm:do_not_print value="0"/>
		<gnm:order>d_then_r</gnm:order>
		<gnm:orientation>portrait</gnm:orientation>
		<gnm:Header Left="" Middle="&amp;[TAB]" Right=""/>
		<gnm:Footer Left="" Middle="Page &amp;[PAGE]" Right=""/>
		<gnm:paper>na_letter</gnm:paper>
	      </gnm:PrintInformation>
	      <gnm:Styles>
		<gnm:StyleRegion startCol="0" startRow="0" endCol="255" endRow="65535">
		  <gnm:Style HAlign="1" VAlign="2" WrapText="0" ShrinkToFit="0" Rotation="0" Shade="0" Indent="0" Locked="1" Hidden="0" Fore="0:0:0" Back="FFFF:FFFF:FFFF" PatternColor="0:0:0" Format="General">
		    <gnm:Font Unit="10" Bold="0" Italic="0" Underline="0" StrikeThrough="0" Script="0">Sans</gnm:Font>
		  </gnm:Style>
		</gnm:StyleRegion>
	      </gnm:Styles>
	      <gnm:Cols DefaultSizePts="48">
		<gnm:ColInfo No="0" Unit="48" Count="31"/>
	      </gnm:Cols>
	      <gnm:Rows DefaultSizePts="12.75">
		<gnm:RowInfo No="0" Unit="13.5" Count="47"/>
	      </gnm:Rows>
	      <gnm:Selections CursorCol="0" CursorRow="34">
		<gnm:Selection startCol="0" startRow="34" endCol="0" endRow="34"/>
	      </gnm:Selections>
	      <gnm:Objects>
		<gnm:SheetObjectGraph ObjectBound="A48:J71" ObjectOffset="0.312 0.941 0.594 0.176" Direction="17">
		  <GogObject type="GogGraph">
		    <property name="height-pts">283.496251</property>
		    <property name="width-pts">445.535999</property>
		    <property name="theme-name">Default</property>
		    <property name="padding-pts">7.086614</property>
		    <property name="style" type="GogStyle">
		      <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		      <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		    </property>
		    <property name="anchor">top-left</property>
		    <property name="alignment">fill</property>
		    <GogObject role="Chart">
		      <property name="plot-area">0 0 0.82999999999999996 1</property>
		      <property name="padding-pts">7.086614</property>
		      <property name="style" type="GogStyle">
		        <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		        <fill type="pattern" auto-type="0" is-auto="1" auto-fore="1">
		          <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		        </fill>
		      </property>
		      <property name="position">-0.019379844961240324 -0.01219512195121957 0.85999999999999999 1</property>
		      <property name="id">1</property>
		      <GogObject role="X-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="0"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Simulation time (seconds)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Number of cycles&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">2</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">21.6</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.53593551342367851 0.018999305010855616 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Start Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">3</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">32.4</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.73443022895129362 0.012666201159135682 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;End Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Plot" type="GogLinePlot">
		        <property name="default-style-has-markers">FALSE</property>
		        <property name="y-axis">1</property>
		        <property name="x-axis">1</property>
		        <property name="vary-style-by-element">FALSE</property>
		        <property name="id">1</property>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="solid" auto-dash="1" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">4</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Girth!$D$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Girth!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Girth!$D$3:$D$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">5</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Girth!$E$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Girth!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Girth!$E$3:$E$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">6</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Girth!$F$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Girth!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Girth!$F$3:$F$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">7</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Girth!$G$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Girth!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Girth!$G$3:$G$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dot" auto-dash="0" width="1" color="33:33:33:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">8</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Girth!$O$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Girth!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Girth!$O$3:$O$45</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Legend">
		        <property name="swatch-padding-pts">5.669291</property>
		        <property name="swatch-size-pts">7.086614</property>
		        <property name="padding-pts">7.086614</property>
		        <property name="style" type="GogStyle">
		          <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		            <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		          </fill>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		        </property>
		        <property name="is-position-manual">TRUE</property>
		        <property name="position">0.83174469790406758 0.014634299923205888 0.20056443340516544 0.50589872857105866</property>
		        <property name="id">1</property>
		      </GogObject>
		    </GogObject>
		  </GogObject>
		</gnm:SheetObjectGraph>
		<gnm:SheetObjectGraph ObjectBound="J49:T71" ObjectOffset="0.781 0.0588 0.0625 0.294" Direction="17">
		  <GogObject type="GogGraph">
		    <property name="height-pts">283.498800</property>
		    <property name="width-pts">445.512001</property>
		    <property name="theme-name">Default</property>
		    <property name="padding-pts">7.086614</property>
		    <property name="style" type="GogStyle">
		      <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		      <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		    </property>
		    <property name="anchor">top-left</property>
		    <property name="alignment">fill</property>
		    <GogObject role="Chart">
		      <property name="plot-area">0.10019695025943567 0.039109878490482274 0.88388158582216436 0.82918725433709128</property>
		      <property name="padding-pts">7.086614</property>
		      <property name="style" type="GogStyle">
		        <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		        <fill type="pattern" auto-type="0" is-auto="1" auto-fore="1">
		          <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		        </fill>
		      </property>
		      <property name="position">-0.019379844961240324 -0.01219512195121957 0.85999999999999999 1</property>
		      <property name="id">1</property>
		      <GogObject role="X-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="0"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Simulation time (seconds)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Number of cycles&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">2</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">1.8</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.10321722274818992 0.018999305010855616 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Start Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">3</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">21.6</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.50814630011583617 0.01899930501085562 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;End Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Plot" type="GogLinePlot">
		        <property name="default-style-has-markers">FALSE</property>
		        <property name="y-axis">1</property>
		        <property name="x-axis">1</property>
		        <property name="vary-style-by-element">FALSE</property>
		        <property name="id">1</property>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="solid" auto-dash="1" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">4</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Girth!$D$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Girth!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Girth!$D$3:$D$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">5</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Girth!$E$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Girth!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Girth!$E$3:$E$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">6</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Girth!$F$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Girth!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Girth!$F$3:$F$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">7</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Girth!$G$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Girth!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Girth!$G$3:$G$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dot" auto-dash="0" width="1" color="33:33:33:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">8</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Girth!$O$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Girth!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Girth!$O$3:$O$45</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Legend">
		        <property name="swatch-padding-pts">5.669291</property>
		        <property name="swatch-size-pts">7.086614</property>
		        <property name="padding-pts">7.086614</property>
		        <property name="style" type="GogStyle">
		          <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		            <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		          </fill>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		        </property>
		        <property name="is-position-manual">TRUE</property>
		        <property name="position">0.83174469790406758 0.014634299923205888 0.20056443340516544 0.50589872857105866</property>
		        <property name="id">1</property>
		      </GogObject>
		    </GogObject>
		  </GogObject>
		</gnm:SheetObjectGraph>
	      </gnm:Objects>
	      <gnm:Cells>""")

	### GIRTH

	process(girthdata)


	output.write( u""" </gnm:Cells>
	      <gnm:SheetLayout TopLeft="A35"/>
	      <gnm:Solver ProblemType="1" Inputs="" MaxTime="0" MaxIter="0" NonNeg="1" Discr="0" AutoScale="0" ShowIter="0" AnswerR="0" SensitivityR="0" LimitsR="0" PerformR="0" ProgramR="0"/>
	    </gnm:Sheet>
	    <gnm:Sheet DisplayFormulas="0" HideZero="0" HideGrid="0" HideColHeader="0" HideRowHeader="0" DisplayOutlines="1" OutlineSymbolsBelow="1" OutlineSymbolsRight="1" Visibility="GNM_SHEET_VISIBILITY_VISIBLE" GridColor="0:0:0">
	      <gnm:Name>Traffic</gnm:Name>
	      <gnm:MaxCol>13</gnm:MaxCol>
	      <gnm:MaxRow>434</gnm:MaxRow>
	      <gnm:Zoom>1</gnm:Zoom>
	      <gnm:Names>
		<gnm:Name>
		  <gnm:name>Print_Area</gnm:name>
		  <gnm:value>Traffic!$A$1:$IV$65536</gnm:value>
		  <gnm:position>A1</gnm:position>
		</gnm:Name>
		<gnm:Name>
		  <gnm:name>Sheet_Title</gnm:name>
		  <gnm:value>&quot;Traffic&quot;</gnm:value>
		  <gnm:position>A1</gnm:position>
		</gnm:Name>
	      </gnm:Names>
	      <gnm:PrintInformation>
		<gnm:Margins>
		  <gnm:top Points="120" PrefUnit="mm"/>
		  <gnm:bottom Points="120" PrefUnit="mm"/>
		  <gnm:left Points="72" PrefUnit="mm"/>
		  <gnm:right Points="72" PrefUnit="mm"/>
		  <gnm:header Points="72" PrefUnit="mm"/>
		  <gnm:footer Points="72" PrefUnit="mm"/>
		</gnm:Margins>
		<gnm:Scale type="percentage" percentage="100"/>
		<gnm:vcenter value="0"/>
		<gnm:hcenter value="0"/>
		<gnm:grid value="0"/>
		<gnm:even_if_only_styles value="0"/>
		<gnm:monochrome value="0"/>
		<gnm:draft value="0"/>
		<gnm:titles value="0"/>
		<gnm:do_not_print value="0"/>
		<gnm:order>d_then_r</gnm:order>
		<gnm:orientation>portrait</gnm:orientation>
		<gnm:Header Left="" Middle="&amp;[TAB]" Right=""/>
		<gnm:Footer Left="" Middle="Page &amp;[PAGE]" Right=""/>
		<gnm:paper>na_letter</gnm:paper>
	      </gnm:PrintInformation>
	      <gnm:Styles>
		<gnm:StyleRegion startCol="0" startRow="0" endCol="255" endRow="65535">
		  <gnm:Style HAlign="1" VAlign="2" WrapText="0" ShrinkToFit="0" Rotation="0" Shade="0" Indent="0" Locked="1" Hidden="0" Fore="0:0:0" Back="FFFF:FFFF:FFFF" PatternColor="0:0:0" Format="General">
		    <gnm:Font Unit="10" Bold="0" Italic="0" Underline="0" StrikeThrough="0" Script="0">Sans</gnm:Font>
		  </gnm:Style>
		</gnm:StyleRegion>
	      </gnm:Styles>
	      <gnm:Cols DefaultSizePts="48">
		<gnm:ColInfo No="0" Unit="48" Count="10"/>
		<gnm:ColInfo No="10" Unit="83.25" HardSize="1"/>
		<gnm:ColInfo No="11" Unit="99.75"/>
		<gnm:ColInfo No="12" Unit="48" Count="2"/>
	      </gnm:Cols>
	      <gnm:Rows DefaultSizePts="12.75">
		<gnm:RowInfo No="0" Unit="13.5" Count="435"/>
	      </gnm:Rows>
	      <gnm:Selections CursorCol="18" CursorRow="68">
		<gnm:Selection startCol="18" startRow="68" endCol="18" endRow="68"/>
	      </gnm:Selections>
	      <gnm:Objects>
		<gnm:SheetObjectGraph ObjectBound="J47:Q68" ObjectOffset="0.25 0.0556 0.312 0.667" Direction="17">
		  <GogObject type="GogGraph">
		    <property name="height-pts">291.750000</property>
		    <property name="width-pts">426.000000</property>
		    <property name="theme-name">Default</property>
		    <property name="padding-pts">7.086614</property>
		    <property name="style" type="GogStyle">
		      <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		      <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		    </property>
		    <property name="anchor">top-left</property>
		    <property name="alignment">fill</property>
		    <GogObject role="Chart">
		      <property name="padding-pts">7.086614</property>
		      <property name="style" type="GogStyle">
		        <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		        <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		          <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		        </fill>
		      </property>
		      <property name="id">1</property>
		      <GogObject role="X-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="0"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Time in simulation (seconds)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Log</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Overall traffic (kbps)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">2</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">21.6</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.54557456897223378 0.019 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Start Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">3</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">32.4</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.73986322429225904 0.020176369884349753 0.032819336040640266 0.1971162998402588</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;End Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Plot" type="GogLinePlot">
		        <property name="default-style-has-markers">FALSE</property>
		        <property name="y-axis">1</property>
		        <property name="x-axis">1</property>
		        <property name="vary-style-by-element">FALSE</property>
		        <property name="id">1</property>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="solid" auto-dash="1" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">2</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$B$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$B$3:$B$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">4</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$D$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$D$3:$D$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">5</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$E$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$E$3:$E$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">7</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$G$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$G$3:$G$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dash-dot-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">9</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$I$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$I$3:$I$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash-dot-dot-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">12</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$L$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$L$3:$L$45</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Legend">
		        <property name="swatch-padding-pts">5.669291</property>
		        <property name="swatch-size-pts">7.086614</property>
		        <property name="padding-pts">7.086614</property>
		        <property name="style" type="GogStyle">
		          <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		            <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		          </fill>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		        </property>
		        <property name="is-position-manual">TRUE</property>
		        <property name="position">0.16676675298711618 0.022801327413687688 0.28686674722168887 0.26201968069626064</property>
		        <property name="id">1</property>
		      </GogObject>
		    </GogObject>
		  </GogObject>
		</gnm:SheetObjectGraph>
		<gnm:SheetObjectGraph ObjectBound="A46:J68" ObjectOffset="0.25 1 0.125 0.611" Direction="17">
		  <GogObject type="GogGraph">
		    <property name="height-pts">291.750000</property>
		    <property name="width-pts">426.000000</property>
		    <property name="theme-name">Default</property>
		    <property name="padding-pts">7.086614</property>
		    <property name="style" type="GogStyle">
		      <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		      <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		    </property>
		    <property name="anchor">top-left</property>
		    <property name="alignment">fill</property>
		    <GogObject role="Chart">
		      <property name="padding-pts">7.086614</property>
		      <property name="style" type="GogStyle">
		        <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		        <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		          <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		        </fill>
		      </property>
		      <property name="id">1</property>
		      <GogObject role="X-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="0"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Time in simulation (seconds)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Log</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Overall traffic (kbps)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">2</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">1.8</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.12842471525078175 0.019 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Start Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">3</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">21.6</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.50943759080802853 0.020176369884349753 0.032819336040640266 0.1971162998402588</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;End Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Plot" type="GogLinePlot">
		        <property name="default-style-has-markers">FALSE</property>
		        <property name="y-axis">1</property>
		        <property name="x-axis">1</property>
		        <property name="vary-style-by-element">FALSE</property>
		        <property name="id">1</property>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="solid" auto-dash="1" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">2</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$B$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$B$3:$B$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">4</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$D$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$D$3:$D$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">5</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$E$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$E$3:$E$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">7</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$G$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$G$3:$G$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dash-dot-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">9</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$I$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$I$3:$I$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash-dot-dot-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">12</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$L$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$L$3:$L$45</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Legend">
		        <property name="swatch-padding-pts">5.669291</property>
		        <property name="swatch-size-pts">7.086614</property>
		        <property name="padding-pts">7.086614</property>
		        <property name="style" type="GogStyle">
		          <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		            <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		          </fill>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		        </property>
		        <property name="is-position-manual">TRUE</property>
		        <property name="position">0.67274284860464606 0.39138857765934776 0.28686674722168887 0.26201968069626064</property>
		        <property name="id">1</property>
		      </GogObject>
		    </GogObject>
		  </GogObject>
		</gnm:SheetObjectGraph>
		<gnm:SheetObjectGraph ObjectBound="A69:J90" ObjectOffset="0.234 0.167 0.109 0.778" Direction="17">
		  <GogObject type="GogGraph">
		    <property name="height-pts">291.750000</property>
		    <property name="width-pts">426.000000</property>
		    <property name="theme-name">Default</property>
		    <property name="padding-pts">7.086614</property>
		    <property name="style" type="GogStyle">
		      <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		      <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		    </property>
		    <property name="anchor">top-left</property>
		    <property name="alignment">fill</property>
		    <GogObject role="Chart">
		      <property name="padding-pts">7.086614</property>
		      <property name="style" type="GogStyle">
		        <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		        <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		          <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		        </fill>
		      </property>
		      <property name="id">1</property>
		      <GogObject role="X-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="0"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Time in simulation (seconds)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Log</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Overall traffic (kbps)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">2</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">21.6</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.54557456897223378 0.013108114538576399 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Start Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">3</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">32.4</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.7438360800419872 0.020176369884349753 0.032819336040640266 0.1971162998402588</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;End Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Plot" type="GogLinePlot">
		        <property name="default-style-has-markers">FALSE</property>
		        <property name="y-axis">1</property>
		        <property name="x-axis">1</property>
		        <property name="vary-style-by-element">FALSE</property>
		        <property name="id">1</property>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="solid" auto-dash="1" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">2</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$K$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$K$3:$K$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">4</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$D$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$D$3:$D$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">5</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$E$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$E$3:$E$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">7</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$G$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$G$3:$G$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dash-dot-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">9</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$I$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$I$3:$I$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash-dot-dot-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">12</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$L$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$L$3:$L$45</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Legend">
		        <property name="swatch-padding-pts">5.669291</property>
		        <property name="swatch-size-pts">7.086614</property>
		        <property name="padding-pts">7.086614</property>
		        <property name="style" type="GogStyle">
		          <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		            <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		          </fill>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		        </property>
		        <property name="is-position-manual">TRUE</property>
		        <property name="position">0.15126287701812391 0.0057558728682331394 0.28686674722168887 0.26201968069626064</property>
		        <property name="id">1</property>
		      </GogObject>
		    </GogObject>
		  </GogObject>
		</gnm:SheetObjectGraph>
		<gnm:SheetObjectGraph ObjectBound="J69:Q90" ObjectOffset="0.219 0.167 0.297 0.778" Direction="17">
		  <GogObject type="GogGraph">
		    <property name="height-pts">291.750000</property>
		    <property name="width-pts">426.750000</property>
		    <property name="theme-name">Default</property>
		    <property name="padding-pts">7.086614</property>
		    <property name="style" type="GogStyle">
		      <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		      <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		    </property>
		    <property name="anchor">top-left</property>
		    <property name="alignment">fill</property>
		    <GogObject role="Chart">
		      <property name="padding-pts">7.086614</property>
		      <property name="style" type="GogStyle">
		        <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		        <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		          <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		        </fill>
		      </property>
		      <property name="id">1</property>
		      <GogObject role="X-Axis">
		        <property name="map-name">Linear</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="0"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Time in simulation (seconds)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Log</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">1</property>
		        <data/>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Overall traffic (kbps)&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">2</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">1.8</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 9" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.13069449963999305 0.019 1 1</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;Start Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Y-Axis">
		        <property name="map-name">Linear</property>
		        <property name="major-tick-out">FALSE</property>
		        <property name="major-tick-labeled">FALSE</property>
		        <property name="pos-str">cross</property>
		        <property name="style" type="GogStyle">
		          <line dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <font color="0:0:0:FF" font="Sans 8" auto-scale="1"/>
		          <text_layout angle="0"/>
		        </property>
		        <property name="id">3</property>
		        <data>
		          <dimension id="4" type="GnmGODataScalar">21.6</dimension>
		        </data>
		        <GogObject role="Label">
		          <property name="allow-markup">FALSE</property>
		          <property name="padding-pts">7.086614</property>
		          <property name="style" type="GogStyle">
		            <outline dash="none" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		            <fill type="none" auto-type="1" is-auto="1" auto-fore="1"/>
		            <font color="0:0:0:FF" font="FreeSerif 10" auto-scale="1"/>
		            <text_layout angle="90"/>
		          </property>
		          <property name="is-position-manual">TRUE</property>
		          <property name="position">0.51341175607932399 0.020176369884349753 0.032819336040640266 0.1971162998402588</property>
		          <property name="id">1</property>
		          <data>
		            <dimension id="0" type="GnmGODataScalar">&quot;End Dynamic&quot;</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Plot" type="GogLinePlot">
		        <property name="default-style-has-markers">FALSE</property>
		        <property name="y-axis">1</property>
		        <property name="x-axis">1</property>
		        <property name="vary-style-by-element">FALSE</property>
		        <property name="id">1</property>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="solid" auto-dash="1" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">2</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$K$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$K$3:$K$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">4</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$D$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$D$3:$D$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">5</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$E$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$E$3:$E$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dash-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">7</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$G$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$G$3:$G$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="s-dash-dot-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">9</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$I$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$I$3:$I$45</dimension>
		          </data>
		        </GogObject>
		        <GogObject role="Series">
		          <property name="fill-type">y-origin</property>
		          <property name="style" type="GogStyle">
		            <line dash="dash-dot-dot-dot" auto-dash="0" width="1" color="0:0:0:FF" auto-color="0"/>
		            <marker auto-shape="1" shape="none" auto-outline="1" outline-color="0:0:0:FF" auto-fill="1" fill-color="FF:FF:FF:FF" size="5"/>
		          </property>
		          <property name="id">12</property>
		          <data>
		            <dimension id="-1" type="GnmGODataScalar">Traffic!$L$2</dimension>
		            <dimension id="0" type="GnmGODataVector">Traffic!$A$3:$A$45</dimension>
		            <dimension id="1" type="GnmGODataVector">Traffic!$L$3:$L$45</dimension>
		          </data>
		        </GogObject>
		      </GogObject>
		      <GogObject role="Legend">
		        <property name="swatch-padding-pts">5.669291</property>
		        <property name="swatch-size-pts">7.086614</property>
		        <property name="padding-pts">7.086614</property>
		        <property name="style" type="GogStyle">
		          <outline dash="solid" auto-dash="1" width="0" color="0:0:0:FF" auto-color="1"/>
		          <fill type="pattern" auto-type="1" is-auto="1" auto-fore="1">
		            <pattern type="solid" fore="0:0:0:FF" back="FF:FF:FF:FF"/>
		          </fill>
		          <font color="0:0:0:FF" font="FreeSerif 8" auto-scale="1"/>
		        </property>
		        <property name="is-position-manual">TRUE</property>
		        <property name="position">0.62548234931739144 0.081311965711560033 0.28686674722168887 0.26201968069626064</property>
		        <property name="id">1</property>
		      </GogObject>
		    </GogObject>
		  </GogObject>
		</gnm:SheetObjectGraph>
	      </gnm:Objects>
	      <gnm:Cells>""")

	process(trafficdata)

	output.write( u"""</gnm:Cells>
	      <gnm:SheetLayout TopLeft="A55"/>
	      <gnm:Solver ProblemType="1" Inputs="" MaxTime="0" MaxIter="0" NonNeg="1" Discr="0" AutoScale="0" ShowIter="0" AnswerR="0" SensitivityR="0" LimitsR="0" PerformR="0" ProgramR="0"/>
	    </gnm:Sheet>
	  </gnm:Sheets>
	  <gnm:UIData SelectedTab="0"/>
	  <gnm:Calculation ManualRecalc="0" EnableIteration="1" MaxIterations="100" IterationTolerance="0.001"/>
	</gnm:Workbook>""")

	
for cmd in pot:
	if cmd[0:2] == "cd":
		newdir = cmd[3:].strip()
		os.chdir(newdir)
	elif cmd[0:5] == "graph":
		graphdata = "python /home/attila/Desktop/processGraphMeasurements.py "+cmd[6:].strip()
	elif cmd[0:5] == "girth":
		girthdata = "python /home/attila/Desktop/processGirth.py "+cmd[6:].strip()
	elif cmd[0:7] == "traffic":
		trafficdata = "python /home/attila/Desktop/processAntsTraffic.py "+cmd[8:].strip()
	elif cmd[0:6] == "outdir":
		outdir = cmd[7:].strip()
		if outdir[-1] != "/":
			outdir = outdir + "/"
	elif cmd[0:3] == "out":
		outfilename = cmd[4:].strip()
		print "Creating "+outdir+outfilename,
		output = gzip.open(outdir+outfilename, 'wb')
		doFile()
		output.close()
		print "done!"


