#!/usr/bin/python
import os
import sys

gvalues = "iter ants discovery optimizationlink constructionlink ping unlink query nodes largest smallest joining leaving crashing edges remaining plus minus diameter radius average slowdown lost excess difference nst p".split(" ")


avalues = []

#"Discovery ISSQuery Unlink Ping Query UpdateNeighbors Shift OptimizationLink Balancing DiscoveryS ConstructionLink ISSProactiveQuery".split(" ")


gdata = {}

def getLogFiles(path,pattern):
	files = os.listdir(path)
	logs = []
	for f in files:
		if f[-4:] == ".log":
			if (f.count(pattern)) > 0:
				logs.append(path+f)
	return logs


def pushData(iteration, value):
	global gdata
	if not gdata.has_key(iteration):
		gdata[iteration] = [value]
	else:
		gdata[iteration].append(value)

def printAverageData():
	global gdata
	global gvalues
	global avalues
	iters = gdata.keys()
	iters.sort()
	#print "iter , ",
	#for cname in avalues:
		#print cname+"_migs,",cname+"_tokens",",",
		#print cname+"_cost",",",
	#	print cname,",",
	print "iter ,  Discovery Ant , ISS Query Ant , Unlink Ant , Ping Ant , Query Ant , Update Neighbors Ant , Shift Ant , Optimization-Link Ant , Balancing Ant , Discovery-S Ant , Construction-Link Ant , ISS Proactive Query Ant ,"
	for i in iters:
		print int(i)*100/1000,",",
		avalues = gdata[i] # list of tuples
		migrations = map(lambda x: x[0], avalues) # Filter migration data
		hops = map(lambda x: x[1], avalues) # Filter hops data
		for ant in range(0,12):
			values = []
			for mig in migrations:
				values.append(mig[ant])
			migcost = average(values)
			#print migcost,",",
			values = []
			for mig in hops:
				values.append(mig[ant])
			tokcost = average(values)
			#print tokcost,",", 
			print bytecost(ant,migcost,tokcost),",",
		print
	
def bytecost(ant,migrations, tokens):
	mcost = 420 * migrations + 24 * tokens
	return 8*mcost / 1024 / 1000
	
	
def average(l):
	av = float(sum(l)) / len(l)
	if av - int(av) == 0:
		return int(av)
	else:
		return av

def splitData(line):
	strips = ["/","\t","\n","(",")","=","A","!D","?D","R","S","L","X","NST", "P","E","OL","CL","U","Q","C","T","a","D","O","N","~","+"]
	for s in strips:
		line = line.replace(s, " ")
	line = line.split(" ")
	line = filter (lambda x: x != '', line)
	datas = []
	for l in line:
		if l.count("."):
			datas.append(float(l))
		else:
			datas.append(int(l))
	return datas


def splitTraffic(line):
	global avalues
	line = line.split("/")
	avalues = [item.split(">")[0] for item in line[1:]]
	migrations = [int(item.split(">")[1]) for item in line[1:]]
	hops = [int(item.split(">")[2]) for item in line[1:]]
	return (migrations,hops)
	

if len(sys.argv) <= 2:
	print "usage: path prefix"
	sys.exit(0)

iteration = 0

def sumLists(a,b):
	if (b is None) or (b is []):
		return a
	ma = a[0]
	ha = a[1]
	mb = b[0]
	hb = b[1]
	mt = []
	ht = []
	for e in range(0,len(ma)):
		mt.append(int(ma[e]) + int(mb[e]))
		ht.append(int(ha[e]) + int(hb[e]))
	return (mt,ht)
		

#getLogFiles(sys.argv[1],sys.argv[2]):

compound = None

for log in sys.argv[1:]:
	f = open(log,'r')
	lines = f.readlines()
	f.close()
	for l in lines:
		if l.count("DiscoveryAnt") > 0:
			pardata = splitTraffic(l)
			if (compound is None):
				compound = pardata
			else:
				compound = sumLists(pardata,compound)
		if l.count("!D") > 0:
			data = splitData(l)
			iteration = data[0]
			pushData(iteration, compound)
			compound = None
			

printAverageData()


