#!/usr/bin/python
import os
import sys

gvalues = "iter ants discovery optimizationlink constructionlink ping unlink query nodes largest smallest joining leaving crashing edges remaining plus minus diameter radius average slowdown lost excess difference nst p".split(" ")


gdata = {}

def getLogFiles(path,pattern):
	files = os.listdir(path)
	logs = []
	for f in files:
		if f[-4:] == ".log":
			if (f.count(pattern)) > 0:
				logs.append(path+f)
	return logs


def pushData(iteration, value):
	global gdata
	if not gdata.has_key(iteration):
		gdata[iteration] = [value]
	else:
		gdata[iteration].append(value)

def printAverageData(cnames):
	global gdata
	global gvalues
	iters = gdata.keys()
	iters.sort()
	print "iter , ",
	for cname in cnames:
		print cname,",",
	print	
	for i in iters:
		avalues = gdata[i]
		values = []
		print int(i)*100/1000,",",
		for cname in cnames:
			column = gvalues.index(cname.strip())
			for v in avalues:
				values.append(v[column])
			aver = average(values)
			values = []
			print aver,",",
		print
		
def average(l):
	av = float(sum(l)) / len(l)
	if av - int(av) == 0:
		return int(av)
	else:
		return av

def splitData(line):
	strips = ["/","\t","\n","(",")","=","A","!D","?D","R","S","L","X","NST", "P","E","OL","CL","U","Q","C","T","a","D","O","N","~","+"]
	for s in strips:
		line = line.replace(s, " ")
	line = line.split(" ")
	line = filter (lambda x: x != '', line)
	datas = []
	for l in line:
		if l.count("."):
			datas.append(float(l))
		else:
			datas.append(int(l))
	return datas
	

if len(sys.argv) <= 2:
	print "usage: path prefix"
	sys.exit(0)

# getLogFiles(sys.argv[1],sys.argv[2])

for log in sys.argv[1:]:
	f = open(log,'r')
	lines = f.readlines()
	f.close()
	for l in lines:
		if l.count("!D") > 0:
			data = splitData(l)
			pushData(data[0], data) 


			
printAverageData(["nodes","largest","edges","diameter","radius","average"])

