#!/usr/bin/python

import networkx as NX
import networkx.utils as NXU
import pylab as P
from random import *
from math import *
from time import *
import os
from time import gmtime, strftime
import thread
import threading
import sys
import sets
import string
import pickle

lines = {}
scenario = "none"


if len(sys.argv) > 2:
	scenario = sys.argv[1]
	paths = sys.argv[2:]
	for path in paths:
		fp = open(path,'r')
		lines[path] = fp.readlines()
		fp.close()
else:
	sys.exit(0)		



_dants = {}
_linkants = {}
_userlinkants = {}
_pingants = {}
_unlinkant = {}
_nodes = {}
_largest = {}
_edges = {}
_remaining = {}
_diameter = {}
_radius = {}
_avpl = {}



##print "iter",",","dants",",","linkants",",","userlinkants",",","pingants",",","unlinkant",",","nodes",",","largest",",","edges",",","remaining",",","diameter", ",","radius",",","avpl"
for path in paths:
	for l in lines[path]:
		if l.count("UL=") > 0:
			pl = l.strip().split("\t")
			# ['5000', 'A=1494', 'PL=0', 'D=63', 'L=1', 'UL=0', 'P=1430', 'U=0', 'Q=0', 'N=1281(1281)', 'E=7582(2666)', '+0/-0', '!D/R/a=6/6/6.00', 'S/L=0/0', 'P?F', 'X=5', 'Q=0', 'H=0']
			##print pl
			iter = int(pl[0])
			dants = pl[3].split("=")[1]
			if not _dants.has_key(iter):
				_dants[iter] = []
			_dants[iter].append(dants)
			
			linkants = pl[4].split("=")[1]
			if not _linkants.has_key(iter):
				_linkants[iter] = []
			_linkants[iter].append(linkants)
			
			userlinkants = pl[5].split("=")[1]
			if not _userlinkants.has_key(iter):
				_userlinkants[iter] = []			
			_userlinkants[iter].append(userlinkants)
			
			pingants = pl[6].split("=")[1]
			if not _pingants.has_key(iter):
				_pingants[iter] = []			
			_pingants[iter].append(pingants)
			
			unlinkant = pl[7].split("=")[1]
			if not _unlinkant.has_key(iter):
				_unlinkant[iter] = []			
			_unlinkant[iter].append(unlinkant)
			
			nodes = pl[9].split("=")[1].split("(")[0]
			if not _nodes.has_key(iter):
				_nodes[iter] = []			
			_nodes[iter].append(nodes)
			
			largest = pl[9].split("=")[1].split("(")[1].split(")")[0]
			if not _largest.has_key(iter):
				_largest[iter] = []			
			_largest[iter].append(largest)
			
			edges = pl[10].split("=")[1].split("(")[0]
			if not _edges.has_key(iter):
				_edges[iter] = []			
			_edges[iter].append(edges)
			
			remaining = pl[10].split("=")[1].split("(")[1].split(")")[0]
			if not _remaining.has_key(iter):
				_remaining[iter] = []			
			_remaining[iter].append(remaining)
			
			diameter = pl[12].split("=")[1].split("/")[0]
			if not _diameter.has_key(iter):
				_diameter[iter] = []			
			_diameter[iter].append(diameter)
			
			radius = pl[12].split("=")[1].split("/")[1]
			if not _radius.has_key(iter):
				_radius[iter] = []			
			_radius[iter].append(radius)
			
			avpl = pl[12].split("=")[1].split("/")[2]
			if not _avpl.has_key(iter):
				_avpl[iter] = []			
			_avpl[iter].append(avpl)
			
			#print iter, ",",dants,",",linkants,",",userlinkants,",",pingants,",",unlinkant,",",nodes,",",largest,",",edges,",",remaining,",",diameter, ",",radius, ",", avpl
			#print pi


def printdata(scenfile, param, dataset):
	fp = open(scenfile+"-"+param+".csv",'w')
	index = 0
	chiavi = dataset.keys()
	chiavi.sort()
	for key in chiavi:
		data = dataset[key]
		fp.write(str(key)+",")
		for item in data[:20]:
			fp.write(str(item)+",")
		fp.write("\n")
	fp.close()		
	
	
printdata(scenario, "dants", _dants)	
printdata(scenario, "linkants", _linkants)
printdata(scenario, "userlinkants", _userlinkants)
printdata(scenario, "pingants", _pingants)
printdata(scenario, "unlinkants", _unlinkant)
printdata(scenario, "nodex", _nodes)
printdata(scenario, "largest", _largest)
printdata(scenario, "edges", _edges)
printdata(scenario, "remaining", _remaining)
printdata(scenario, "diameter", _diameter)
printdata(scenario, "radius", _radius)
printdata(scenario, "avpl", _avpl)
