/*******************************************************************************
 * BlåtAnt Algorithm Evaluation Platform
 * 
 * Copyright (C) 2008  Amos Brocco <amos.brocco@unifr.ch>
 * 					Pervasive and Artificial Intelligence Research Group
 * 					Department of Informatics DIUF
 * 					University of Fribourg, Fribourg
 * 					Switzerland
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 ******************************************************************************/
package ants;

import java.util.Map;

import services.dss.DSSStats;
import support.NetworkSystem;

public class DSSAssignAnt extends Ant {

	private String target = null;
	private int step = 0;
	private Map<String,Object>  profile;

	public DSSAssignAnt(String id, String target, Map<String,Object> profile) {
		super(id);
		this.target = target;
		this.profile = profile;
	}

	public void antstep() {
		if (!NetworkSystem.isNodeAlive(current_)) {
			// We are on a dead node
			kill();
			return;
		}
		current.acquire();
		switch (step) {
		case 0:
			current.release();
			if (!migrate(target)) {
				step = 4;
				kill();
				return;
			} else {
				DSSStats.assignHop();
				step = 1;
			}
			return;
		case 1:
			current.getDSSService().assign(profile);
			step = 4;
			current.release();
			kill();
			return;
		default:
		}
	}

	@Override
	public void statmigration() {
	}

}
