/*******************************************************************************
 * BlåtAnt Algorithm Evaluation Platform
 * 
 * Copyright (C) 2008  Amos Brocco <amos.brocco@unifr.ch>
 * 					Pervasive and Artificial Intelligence Research Group
 * 					Department of Informatics DIUF
 * 					University of Fribourg, Fribourg
 * 					Switzerland
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 ******************************************************************************/
package cli;


public abstract class CLIOption<T> implements ICLIOption<T>  {
	
	protected Object o;
	protected String field;
	@SuppressWarnings("unchecked")
	protected Class klass;
	
	@SuppressWarnings("unchecked")
	public CLIOption linkTo(Object o, String field) {
		this.klass = o.getClass();
		this.o = o;
		this.field = field;
		return this;
	}
	
	@SuppressWarnings("unchecked")
	public CLIOption linkTo(Class klass, String field) {
		this.klass = klass;
		this.o = null;
		this.field = field;
		return this;
	}
	
	public String getLink() {
		return klass+"."+field;
	}
	
	public void apply() {
		if (field == null) return;
		if (klass == null) return;
		try {
			klass.getField(field).set(o, getValue());
		} catch (IllegalArgumentException e) {
			e.printStackTrace();
		} catch (SecurityException e) {
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		} catch (NoSuchFieldException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
	

}
