/*******************************************************************************
 * BlåtAnt Algorithm Evaluation Platform
 * 
 * Copyright (C) 2008  Amos Brocco <amos.brocco@unifr.ch>
 * 					Pervasive and Artificial Intelligence Research Group
 * 					Department of Informatics DIUF
 * 					University of Fribourg, Fribourg
 * 					Switzerland
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 ******************************************************************************/
package messages;

import services.dss.profile.ResourceProfile;

public abstract class Message {
	

	protected ResourceProfile profile;
	protected String data;
	protected String origin;
	
	public Message(String origin, ResourceProfile q) {
		this.profile = q.copy();
		this.data = null;
		this.origin = new String(origin);
	}
	
	public Message(String origin, String d) {
		this.profile = null;
		this.data = new String(d);
		this.origin = new String(origin);
	}
	
	public Message(String origin) {
		this.profile = null;
		this.data = null;
		this.origin = new String(origin);
	}
	
	public String getOrigin() {
		return origin;
	}
	
	public String getData() {
		return data;
	}

	public ResourceProfile getProfile() {
		return profile;
	}
	
	public abstract String getIdentifier();


}
