/*******************************************************************************
 * BlåtAnt Algorithm Evaluation Platform
 * 
 * Copyright (C) 2008  Amos Brocco <amos.brocco@unifr.ch>
 * 					Pervasive and Artificial Intelligence Research Group
 * 					Department of Informatics DIUF
 * 					University of Fribourg, Fribourg
 * 					Switzerland
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 ******************************************************************************/
package node;

/**
 *  BlåtAnt Algorithm implementation
 *  
 *  Copyright (C) 2008  Amos Brocco <amos.brocco@unifr.ch>
 *  					Pervasive and Artificial Intelligence Research Group
 *  					Department of Informatics DIUF
 *  					University of Fribourg, Fribourg
 *  					Switzerland
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class SimpleNode extends Node {

	private List<String> ns;

	public SimpleNode(String id) {
		super(id);
		ns = new ArrayList<String>();
	}

	public void addNeighbor(String n) {
		ns.add(n);
	}

	public void cleanLeave() {
	}

	public boolean connect(String target) {
		return false;
	}

	public boolean disconnect(String target) {
		return false;
	}

	public void flood(String qid, int count, boolean restricted) {
	}

	public int getNeighborNeighborsSize(String n) {
		return 0;
	}

	public Collection<String> getNeighbors() {
		return ns;
	}

	public int getNeighborsCount() {
		return ns.size();
	}

	public void timestep() {
	}
	
	public void iterstep() {
	}

	public boolean userconnect(String target) {
		return false;
	}

	public boolean isNeighbor(String source) {
		return ns.contains(source);
	}

}
