/*******************************************************************************
 * BlåtAnt Algorithm Evaluation Platform
 * 
 * Copyright (C) 2008  Amos Brocco <amos.brocco@unifr.ch>
 * 					Pervasive and Artificial Intelligence Research Group
 * 					Department of Informatics DIUF
 * 					University of Fribourg, Fribourg
 * 					Switzerland
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 ******************************************************************************/
package support;

import java.util.Collection;

import pheromone.Pheromone;
import services.IInformationSystemService;
import services.ILoadManagementService;
import services.IResourceManagementService;
import services.ISmartGridProxy;
import services.dss.DynamicSchedulingService;
import services.dss.profile.ResourceProfile;

public interface INetworkNode {

	public void step();

	public Collection<String> getNeighbors();

	public int getNeighborsCount();

	public String getIdentifier();

	public boolean userconnect(String target);

	public boolean connect(String target);

	public boolean disconnect(String target);

	public int getNeighborNeighborsSize(String n);

	public void cleanLeave();
	
	public long getTime();

	public void release();

	public void acquire();

	public Pheromone getGamma();

	public Pheromone getBeta();

	public boolean isNeighbor(String source);

	public boolean shouldVisit();

	public void clearVisit();

	public IResourceManagementService getResourceManagementService();

	public ILoadManagementService getLoadManagementService();
	
	public IInformationSystemService getInformationSystemService();
	
	public ISmartGridProxy getSmartGridProxy();

	public DynamicSchedulingService getDSSService();

	public ResourceProfile getProfile();

}
