/*******************************************************************************
 * BlåtAnt Algorithm Evaluation Platform
 * 
 * Copyright (C) 2008  Amos Brocco <amos.brocco@unifr.ch>
 * 					Pervasive and Artificial Intelligence Research Group
 * 					Department of Informatics DIUF
 * 					University of Fribourg, Fribourg
 * 					Switzerland
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 ******************************************************************************/
/*
 * Created on Jun 18, 2008
 *
 * To change the template for this generated file go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package util;

import java.util.HashMap;
import java.util.Map;

public class FloydWarshall {

	public static int INF = 100000000;

	public static int getShortestPathLength(Graph g, String source,
			String target) {

		Map<String, Map<String, Integer>> edges = new HashMap<String, Map<String, Integer>>();

		for (String i : g.vertexSet()) {
			Map<String, Integer> v = new HashMap<String, Integer>();
			edges.put(i, v);
			for (String j : g.vertexSet()) {
				if (i.equals(j))
					v.put(j, 0);
				else if (g.getSuccessors(i).contains(j))
					v.put(j, 1);
				else
					v.put(j, INF);
			}
		}

		for (String k : g.vertexSet()) {
			for (String i : g.vertexSet()) {
				for (String j : g.vertexSet()) {
					edges.get(i).put(
							j,
							Math.min(edges.get(i).get(j), edges.get(i).get(k)
									+ edges.get(k).get(j)));
				}
			}
		}

		return edges.get(source).get(target);
	}

}
